This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 499838

Summary: Libvirt (virt-manager, virsh) fail to launch any virtual machines
Product: [Fedora] Fedora Reporter: Joonas Sarajärvi <muep>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: berrange, clalance, crobinso, itamar, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-05-09 18:22:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Libvirt's log file for a virtual machine that is having problems starting none

Description Joonas Sarajärvi 2009-05-08 10:19:28 EDT
Description of problem:

After installing the latest libvirt from rawhide, my virtual machines (all of them KVM based) no longer seem to start. Instead, the libvirt tools tell me that the machine "didn't show up". Virtual machines did work fine a few days ago.

Version-Release number of selected component (if applicable):
libvirt-0.6.2-6.fc11.x86_64

How reproducible:
Always on this machine

Steps to Reproduce:
1. Install latest updates from Rawhide
2. Try to start a virtual machine with virt-manager or virsh
  
Actual results:

[root@localhost ~]# virsh start Rawhide0
error: Failed to start domain Rawhide0
error: internal error Domain Rawhide0 didn't show up


[root@localhost ~]#

Expected results:
No errors, virtual machines start normally.
Comment 1 Joonas Sarajärvi 2009-05-08 10:25:28 EDT
Created attachment 343097 [details]
Libvirt's log file for a virtual machine that is having problems starting

The issue seems to be somehow related to SELinux. It is possible that I just have some files mislabeled. After setenforce 0, my virtual machines seem to work again. They used to work without disabling SELinux, though.
Comment 2 Cole Robinson 2009-05-09 18:22:07 EDT

*** This bug has been marked as a duplicate of bug 499569 ***